Stand-Alone Credits
This section shows you how to process a credit, which is not linked to a capture or sale. There is no time limit for requesting a credit.
When you request a void for a refund or credit before settlement, the refund or credit is voided. If your account is enabled for credit authorizations, the credit authorization is also reversed.
Supported Processors
- AIBMS
- American Express Direct
- Barclays
- Chase Paymentech Solutions
- Credit Mutuel-CIC
- eftpos
- Elavon
- Elavon Americas
- FDC Compass
- FDC Nashville Global
- FDI Australia
- FDMS Nashville
- Fiserv RapidConnect
- GPN
- HBOS
- HSBC
- JCN Gateway
- Lloyds-OmniPay
- LloydsTSB Cardnet
- Moneris
- OmniPay Direct
- RuPay HDFC
- SIX
- Streamline
- TSYS Acquiring Solutions
- UATP
- Worldpay VAP
- Chase Paymentech Solutions
- Elavon Americas
- FDC Nashville Global
- Streamline
- Worldpay VAP
- Barclays
- GPX
- TSYS Acquiring Solutions
Processor-Specific Information
eftpos: you can process a stand-alone credit that is not linked to a sale transaction. When you request a void for the credit and the credit is voided, if your account is enabled for credit authorizations, the credit authorization is also reversed. The expiration date is optional for card-not-present stand-alone credit transactions.
Chase Tandem: you can process stand-alone credits credits 6 months or more after the authorization.
Visa Platform Connect: When your account is enabled for credit authorizations, also known as purchase return authorizations, authenticates the card and customer during a follow-on refund or stand-alone credit request. Every credit request is automatically authorized.
Credit authorization results are returned in these response fields:
processorInformation.approvalCodeprocessorInformation.networkTransactionIdprocessorInformation.responseCode
For Visa Platform Connect, credit authorizations are handled the same for these card types: American Express, Diners, Discover, JCB, Mastercard, and Visa.
Endpoints
POST /pts/v2/credits/
POST /pts/v2/credits/
POST /pts/v2/credits/
A stand-alone credit is not linked to a previous transaction, so no transaction ID is required in the endpoint URL.
Example
Standard Example
{ "orderInformation": { "billTo": { "country": "US", "lastName": "Kim", "address1": "201 S. Division St.", "postalCode": "48104-2201", "locality": "Ann Arbor", "administrativeArea": "MI", "firstName": "Kyong-Jin", "email": "" }, "amountDetails": { "totalAmount": "100.00", "currency": "eur" } }, "paymentInformation": { "card": { "expirationYear": "2031", "number": "CARD_NUMBER", "expirationMonth": "12" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/credits/6663069906146706403954/voids" }, "self": { "method": "GET", "href": "/pts/v2/credits/6663069906146706403954" } }, "clientReferenceInformation": { "code": "1666306990717" }, "creditAmountDetails": { "currency": "eur", "creditAmount": "100.00" }, "id": "6663069906146706403954", "orderInformation": { "amountDetails": { "currency": "eur" } }, "paymentAccountInformation": { "card": { "type": "001" } }, "paymentInformation": { "tokenizedCard": { "type": "001" }, "card": { "type": "001" } }, "processorInformation": { "approvalCode": "888888", "networkTransactionId": "016153570198200", "responseCode": "100" }, "reconciliationId": "66490108K9CLFJPN", "status": "PENDING", "submitTimeUtc": "2022-10-20T23:03:10Z"}eftpos Example
{ "clientReferenceInformation": { "code": "Refund_A61_120", "partner": { "developerId": "eftPOS", "solutionId": "CNP" }, "applicationUser": "eftPOS" }, "processingInformation": { "commerceIndicator": "internet", "reconciliationId": "222222" }, "orderInformation": { "billTo": { "country": "AU", "lastName": "VDP", "address1": "123 Collins St", "postalCode": "3000", "locality": "Melbourne", "administrativeArea": "VI", "firstName": "CY", "phoneNumber": "3-9657-1234", "district": "VI", "buildingNumber": "123", "company": "Visa", "email": "[email protected]" }, "amountDetails": { "totalAmount": "297.00", "currency": "aud" } }, "paymentInformation": { "card": { "expirationYear": "2025", "number": "CARD_NUMBER", "expirationMonth": "12" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/credits/7495205466746998403091/voids" }, "self": { "method": "GET", "href": "/pts/v2/credits/7495205466746998403091" } }, "clientReferenceInformation": { "code": "Refund_A61_120", "partner": { "developerId": "eftPOS", "solutionId": "CNP" } }, "creditAmountDetails": { "currency": "aud", "creditAmount": "297.00" }, "id": "7495205466746998403091", "orderInformation": { "amountDetails": { "currency": "aud" } }, "paymentAccountInformation": { "card": { "type": "070" } }, "paymentInformation": { "tokenizedCard": { "type": "070" }, "card": { "type": "070" } }, "processorInformation": { "systemTraceAuditNumber": "277367", "retrievalReferenceNumber": "222222", "settlementDate": "0610", "responseCode": "00" }, "reconciliationId": "222222", "status": "PENDING", "submitTimeUtc": "2025-06-10T01:55:46Z"}Fiserv RapidConnect Example
{ "clientReferenceInformation": { "code": "123456789012", "reconciliationId": "000000050000765" }, "processingInformation": { "commerceIndicator": "internet" }, "orderInformation": { "billTo": { "country": "US", "firstName": "John", "lastName": "Smith", "phoneNumber": "650-965-6111", "address1": "600 Morgan Falls Road", "postalCode": "94566-1234", "locality": "Atlanta", "administrativeArea": "MI", "email": "" }, "amountDetails": { "totalAmount": "110", "currency": "USD" } }, "merchantInformation": { "merchantDescriptor": { "name": "Best Bakery" } }, "paymentInformation": { "card": { "expirationYear": "2030", "expirationMonth": "02" }, "instrumentIdentifier": { "id": "7018759999957811111" } }}{ "submitTimeUtc": "2025-03-10T22:18:45Z", "_links": { "refund": { "href": "/pts/v2/payments/7416451254443232235535/refunds", "method": "POST" }, "void": { "href": "/pts/v2/payments/7416451254443232235535/voids", "method": "POST" }, "self": { "method": "GET", "href": "/pts/v2/payments/7416451254443232235535" } }, "processorInformation": { "approvalCode": "OK9473", "responseCodeSource": "4", "networkTransactionId": "0014239537635196CN", "responseCode": "000" }, "consumerAuthenticationResponse": { "systemTraceAuditNumber": "500028", "merchantNumber": "RCTST1000107085" }, "orderInformation": { "amountDetails": { "authorizedAmount": "110.00" } }, "message": "Successful transaction.", "clientReferenceInformation": { "code": "123456789012" }, "issuerInformation": { "responseCode": "123" }, "reconciliationId": "000000050000765", "pointOfSaleInformation": { "terminalId": "00000001" }, "id": "7416451254443232235535", "status": "COMPLETED", "embeddedActions": { "TOKEN_RETRIEVE": { "status": "SUCCESS" } }}Required Fields
These fields are required when processing a stand-alone credit:
Default Required Fields
| Field | Description |
|---|---|
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | — |
orderInformation.billTo.address1 | — |
orderInformation.billTo.administrativeArea | — |
orderInformation.billTo.country | — |
orderInformation.billTo.email | — |
orderInformation.billTo.firstName | — |
orderInformation.billTo.lastName | — |
orderInformation.billTo.locality | — |
orderInformation.billTo.postalCode | — |
paymentInformation.card.expirationMonth | — |
paymentInformation.card.expirationYear | — |
paymentInformation.card.number | — |
Fiserv RapidConnect Required fields
Fiserv RapidConnect uses an instrument identifier instead of a card number. Replace paymentInformation.card.number with this field:
| Field | Description |
|---|---|
clientReferenceInformation.code | — |
clientReferenceInformation.reconciliationId | — |
merchantInformation.merchantDescriptor.name | — |
paymentInformation.instrumentIdentifier.id | — |
processingInformation.commerceIndicator | Set the value to internet. |
Thanks for your feedback!
Last published: September 29, 2026